harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arc...@apache.org
Subject svn commit: r367426 - /incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh
Date Mon, 09 Jan 2006 23:24:37 GMT
Author: archie
Date: Mon Jan  9 15:24:33 2006
New Revision: 367426

URL: http://svn.apache.org/viewcvs?rev=367426&view=rev
Log:
Slightly prettify and clean up.

Modified:
    incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh

Modified: incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh?rev=367426&r1=367425&r2=367426&view=diff
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh (original)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh Mon Jan
 9 15:24:33 2006
@@ -1,6 +1,10 @@
 #!/bin/sh
 # $Id$
 
+# Bail on errors
+set -e
+
+# Parse command line
 CLASSPATH_HOME=/usr/local/classpath
 for ARG in $@; do
   case $ARG in
@@ -10,21 +14,31 @@
   esac
 done
 
+# Check directory
 if [ ! -f etc/makedist.sh ]; then
     echo '*** Error: run me from the top level directory please'
     exit 1
 fi
 
+# Check classpath is there
 GLIBJ="${CLASSPATH_HOME}/share/classpath/glibj.zip"
 if [ ! -f "${GLIBJ}" ]; then
     echo "*** Error: build and install classpath first (${GLIBJ} not found)"
     exit 1
 fi
 
+# Remove generated files
 rm -f java/jc.zip java/api.tgz
 
+# Configure (so we have Makefiles)
 sh etc/regen.sh ${1+"$@"}
-(cd java && make) || exit 1
-(cd include && make) || exit 1
+
+# Pre-build jc.zip so builder doesn't have to
+( cd java && make )
+
+# Create the distribution
 make dist
+
+# Clean up
+make distclean
 



Mime
View raw message